Debian Bug report logs - #643489
ploader: FTBFS: dpkg-buildpackage: error: dpkg-source --after-build ploader-1.6.0 gave error exit status 1

version graph

Package: src:ploader; Maintainer for src:ploader is Nicolas Roudaire <nikrou77@gmail.com>;

Reported by: Didier Raboud <odyx@debian.org>

Date: Tue, 27 Sep 2011 13:13:17 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version ploader/1.6.0-1

Fixed in version ploader/1.6.0-1.1

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Nicolas Roudaire <nikrou77@gmail.com>:
Bug#643489; Package src:ploader. (Tue, 27 Sep 2011 13:13:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
New Bug report received and forwarded. Copy sent to Nicolas Roudaire <nikrou77@gmail.com>. (Tue, 27 Sep 2011 13:13:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: submit@bugs.debian.org
Subject: ploader: FTBFS: dpkg-buildpackage: error: dpkg-source --after-build ploader-1.6.0 gave error exit status 1
Date: Tue, 27 Sep 2011 15:05:11 +0200
Source: ploader
Version: 1.6.0-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110923 qa-ftbfs dpkg-source-exit-1
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> dpkg-genchanges: including full source code in upload
>  dpkg-source --after-build ploader-1.6.0
> dpkg-source: info: unapplying ploader.pl
> dpkg-source: error: LC_ALL=C patch -R -t -N -p1 -u -V never -g0 -E --no-backup-if-mismatch < ploader-1.6.0/debian/patches/ploader.pl gave error exit status 1
> can't find file to patch at input line 7
> Perhaps you used the wrong -p or --strip option?
> The text leading up to this was:
> --------------------------
> |# Author: Nicolas Roudaire <nikrou77@gmail.com>
> |# Description: Use FHS compliant paths by default
> |#  Add the missing #! sequence
> |
> |--- ploader.orig/src/ploader.pl
> |+++ ploader/src/ploader.pl
> --------------------------
> No file to patch.  Skipping patch.
> 2 out of 2 hunks ignored
> dpkg-buildpackage: error: dpkg-source --after-build ploader-1.6.0 gave error exit status 1
> ────────────────────────────────────────────────────────────────────────────────
> Build finished at 20110924-0105

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/09/23/ploader_1.6.0-1_lsid64.buildlog

This is probably due to special hand-fiddling with debian/patches/* 
quilt series. With dpkg >= 1.16.0, "When dpkg-source automatically applies
patches at the start of the build process, it will also automatically unapply
them at the end of a successful build." [0]

[0] http://lists.debian.org/debian-devel-announce/2011/09/msg00001.html

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Nicolas Roudaire <nikrou77@gmail.com>:
Bug#643489; Package src:ploader. (Tue, 15 Nov 2011 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Nicolas Roudaire <nikrou77@gmail.com>. (Tue, 15 Nov 2011 21:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 643489@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 643489@bugs.debian.org
Subject: ploader: diff for NMU version 1.6.0-1.1
Date: Tue, 15 Nov 2011 22:29:46 +0100
[Message part 1 (text/plain, inline)]
tags 643489 + patch
thanks

Dear maintainer,

I've prepared an NMU for ploader (versioned as 1.6.0-1.1). The diff
is attached to this message.

Regards.
[ploader-1.6.0-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Tue, 15 Nov 2011 21:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Nicolas Roudaire <nikrou77@gmail.com>:
Bug#643489; Package src:ploader. (Tue, 15 Nov 2011 21:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas <nikrou77@gmail.com>:
Extra info received and forwarded to list. Copy sent to Nicolas Roudaire <nikrou77@gmail.com>. (Tue, 15 Nov 2011 21:45:07 GMT) Full text and rfc822 format available.

Message #17 received at 643489@bugs.debian.org (full text, mbox):

From: Nicolas <nikrou77@gmail.com>
To: Didier Raboud <odyx@debian.org>, 643489@bugs.debian.org
Subject: Re: Bug#643489: ploader: diff for NMU version 1.6.0-1.1
Date: Tue, 15 Nov 2011 22:41:24 +0100
[Message part 1 (text/plain, inline)]
Hi Didier,

I didn't see your first email in september. Thanks for trying to solve
problems.

Regards,
Nicolas

2011/11/15 Didier Raboud <odyx@debian.org>

> tags 643489 + patch
> thanks
>
> Dear maintainer,
>
> I've prepared an NMU for ploader (versioned as 1.6.0-1.1). The diff
> is attached to this message.
>
> Regards.
>
[Message part 2 (text/html, inline)]

Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Wed, 16 Nov 2011 00:42:06 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <odyx@debian.org>:
Bug acknowledged by developer. (Wed, 16 Nov 2011 00:42:06 GMT) Full text and rfc822 format available.

Message #22 received at 643489-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 643489-close@bugs.debian.org
Subject: Bug#643489: fixed in ploader 1.6.0-1.1
Date: Wed, 16 Nov 2011 00:39:51 +0000
Source: ploader
Source-Version: 1.6.0-1.1

We believe that the bug you reported is fixed in the latest version of
ploader, which is due to be installed in the Debian FTP archive:

ploader_1.6.0-1.1.debian.tar.gz
  to main/p/ploader/ploader_1.6.0-1.1.debian.tar.gz
ploader_1.6.0-1.1.dsc
  to main/p/ploader/ploader_1.6.0-1.1.dsc
ploader_1.6.0-1.1_all.deb
  to main/p/ploader/ploader_1.6.0-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 643489@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated ploader package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 15 Nov 2011 22:18:40 +0100
Source: ploader
Binary: ploader
Architecture: source all
Version: 1.6.0-1.1
Distribution: unstable
Urgency: low
Maintainer: Nicolas Roudaire <nikrou77@gmail.com>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 ploader    - Application to upload your pictures to your Piwigo gallery
Closes: 643489
Changes: 
 ploader (1.6.0-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Don't mix source format 3.0 (quilt) and manual usage of quilt:
     - Drop the --with quilt debhelper addon;
     - Don't rename the binary by moving it around in the build process, rather
       rename it after install;
     - Drop superfluous quilt Build-Depends.
     Closes: #643489.
Checksums-Sha1: 
 00de2b5f4bc3ef59cd18d69068cb6aae978e39bf 1525 ploader_1.6.0-1.1.dsc
 99dada23b0ae099887969c3eadd3222bc32fa6f7 4617 ploader_1.6.0-1.1.debian.tar.gz
 c5a1280386b956ba3a3d65e9d1527932ffdd0709 148940 ploader_1.6.0-1.1_all.deb
Checksums-Sha256: 
 a70e889bc32019d67b446959f8215b3903f293cc571d9804f6c344a374913087 1525 ploader_1.6.0-1.1.dsc
 f01be3dbe16c935da2ef4fb8c9c29b933c75c24e20eb800f6760037ab1e29e76 4617 ploader_1.6.0-1.1.debian.tar.gz
 5f7a95c7e5e4d34d325354c56c28736a6196f3e4a6d2f64a52d8669c734bf312 148940 ploader_1.6.0-1.1_all.deb
Files: 
 851a14af7e0ecc04cc4473f9849d31f6 1525 utils optional ploader_1.6.0-1.1.dsc
 0fdbe09f76c7407bc124e0cc165ce51d 4617 utils optional ploader_1.6.0-1.1.debian.tar.gz
 e849fbc0e0105461eca5cdade27509f2 148940 utils optional ploader_1.6.0-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQGcBAEBCAAGBQJOwtkeAAoJEIvPpx7KFjRVK4YMAIj+QwmYUFpiByAPsXiCH3Uw
HPoIpmOSfk2Fdo4ki3CK9KUlOE3oNOd8jhh5NlhXKbIDTr/eFFZff5Hi+g+HEiJs
+recJyvOm9RfVeoDQyw8JjJ5AIxOxYTob9DVFAQ+NA0ZxJfW0GDRpMpkPYtxca2U
ClNv2RXzsGahPd/nF0PLlLzKg8YHOkeUXL5i81gCd9MLxfzLJ8RFK/P5jocvom4v
CbqQpWP43eFFUsOxgSlpBn9Cj+PORK70/qdpKuganfg+FhY0y70jeZESmKp2qmS4
YqbDL6rhpjMZb3VV9kWsnC+ybdyfwtX8R/i9pYKCML8YVM9sd6aDMbRnA0TILPj0
PtoV2MhhltfpIjBx0o5luux/Win9ilUYffr/1g6ZreFrXk1x6MoZjCwNB//JgT4b
TOuKSJUozOCWxumRWhGDqRJzZlZZnjcXa2AKHRlkjWkcOa4ydfYS3DjdjHhcTxUh
FVGejLO8363GeSk3vj853nFJ0jDCHHHzrTF7ZzmyMg==
=HEIt
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 09:39:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:44:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.